Bug 996713 - Consider printing each cartridge's status for 'app show --state'
Consider printing each cartridge's status for 'app show --state'
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 15:01 EDT by Hiro Asari
Modified: 2015-05-14 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 14:25:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hiro Asari 2013-08-13 15:01:18 EDT
Description of problem:
As pointed out in https://bugzilla.redhat.com/show_bug.cgi?id=996609, 'rhc app show --state' simply passes on what the broker says as the state, which could be disconnected from the realities of individual cartridges belonging to the application. This disconnect can happen if the primary cartridge dies unexpectedly.

It may be beneficial to report each cartridge's status in addition to, or instead of, the broker's response.

Version-Release number of selected component (if applicable):
devenv_3641

How reproducible:
always

Steps to Reproduce:
1. rhc app create foo2 nodejs-0.6 postgresql-9.2 --from-code \ https://github.com/cjryan/nodejs-bughunting.git
2. rhc cartridge stop postgresql-9.2 -a foo2
3. rhc cartridge restart nodejs-0.6 -a foo2
4. curl http://foo2-*/postgresql
5. curl http://foo2-*/
6. rhc app show foo2 --state; rhc cartridge status nodejs-0.6 -a foo2

Actual results:
Cartridge nodejs-0.6, postgresql-9.2 is started
RESULT:
Application is running

Expected results:
Cartridge nodejs-0.6 is stopped
Cartridge postgresql-9.2 is stopped
RESULT:
Application is not running


Additional info:

Note You need to log in before you can comment on or make changes to this bug.